Botan 1.10.17

Public Member Functions | Protected Member Functions | List of all members
Botan::EMSA1_BSI Class Reference

`#include <emsa1_bsi.h>`

Inheritance diagram for Botan::EMSA1_BSI:

## Public Member Functions
| EMSA1_BSI (HashFunction *hash)

## Protected Member Functions
const HashFunction * | hash_ptr () const

## Detailed Description

EMSA1_BSI is a variant of EMSA1 specified by the BSI. It accepts only hash values which are less or equal than the maximum key length. The implementation comes from InSiTo

Definition at line 21 of file emsa1_bsi.h.

## Constructor & Destructor Documentation

## ◆ EMSA1_BSI()

Botan::EMSA1_BSI::EMSA1_BSI | ( | HashFunction * | hash | ) |
| inline

Parameters

  hash | the hash object to use

Definition at line 27 of file emsa1_bsi.h.

27 : EMSA1(hash) {}
Botan::EMSA1::EMSA1
EMSA1(HashFunction *h)
Definition: emsa1.h:26

## Member Function Documentation

## ◆ hash_ptr()

const HashFunction* Botan::EMSA1::hash_ptr | ( |  | ) | const
| inline protected inherited

Returns
  const pointer to the underlying hash

Definition at line 32 of file emsa1.h.

32 { return hash; }

The documentation for this class was generated from the following files:

- src/pk_pad/emsa1_bsi/emsa1_bsi.h
- src/pk_pad/emsa1_bsi/emsa1_bsi.cpp